Skip to main content
POST
/
pos
/
{posSystemId}
/
loyaltyCard
/
userCardDetails
Get user loyalty card details
curl --request POST \
  --url https://public-api-demo.clearline.me/pos/{posSystemId}/loyaltyCard/userCardDetails \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json-patch+json' \
  --data '
{
  "cardId": "loy_1037338",
  "search": "sonug3@chetu.com"
}
'
{
  "data": {
    "loyaltycard": {
      "id": "<string>",
      "code": "<string>",
      "url": "<string>",
      "status": "<string>",
      "name": "<string>",
      "title": "<string>",
      "description": "<string>",
      "type": "pointcard or stampcard",
      "amountOfStamps": 123,
      "amountOfPoints": 123,
      "frontImage": "<string>",
      "logo": "<string>",
      "locations": [
        {
          "id": "<string>",
          "name": "<string>",
          "street": "<string>",
          "zip": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country": "<string>",
          "email": "<string>",
          "phone": "<string>",
          "website": "<string>",
          "hours": "<string>",
          "latitude": 123,
          "longitude": "<string>",
          "online": 123,
          "password": "<string>"
        }
      ],
      "loyaltyCardType": 1
    },
    "user": {
      "id": "<string>",
      "firstName": "<string>",
      "profilePicture": "<string>",
      "gender": "<string>",
      "phone": "<string>",
      "email": "<string>",
      "stamps": 123,
      "points": 123,
      "lastName": "<string>",
      "uniqueCode": "<string>",
      "activeRewards": [
        {
          "campaign": "<string>",
          "session": "<string>",
          "singleUseUrl": "<string>",
          "expirationDate": "<string>",
          "value": "<string>",
          "opened": true,
          "createdDateUtc": "<string>",
          "claimed": true,
          "claimDateUtc": "<string>",
          "couponInfo": {
            "id": "<string>",
            "code": "<string>",
            "url": "<string>",
            "couponImage": "<string>",
            "status": "example | active | archived | template | deleted",
            "name": "<string>",
            "title": "<string>",
            "subtitle": "<string>",
            "description": "<string>",
            "couponCategoryId": "<string>",
            "couponCategoryName": "<string>",
            "banner1": "<string>",
            "banner2": "<string>",
            "banner3": "<string>",
            "banner4": "<string>",
            "banner5": "<string>",
            "subaccount": "<string>",
            "logoUrl": "<string>",
            "couponTags": "<string>",
            "expiryDate": "<string>",
            "promotion": {
              "value": 123,
              "promotionType": 1
            },
            "isSelected": true
          }
        }
      ]
    },
    "activeRewards": [
      {
        "campaign": "<string>",
        "session": "<string>",
        "singleUseUrl": "<string>",
        "expirationDate": "<string>",
        "value": "<string>",
        "opened": true,
        "createdDateUtc": "<string>",
        "claimed": true,
        "claimDateUtc": "<string>",
        "couponInfo": {
          "id": "<string>",
          "code": "<string>",
          "url": "<string>",
          "couponImage": "<string>",
          "status": "example | active | archived | template | deleted",
          "name": "<string>",
          "title": "<string>",
          "subtitle": "<string>",
          "description": "<string>",
          "couponCategoryId": "<string>",
          "couponCategoryName": "<string>",
          "banner1": "<string>",
          "banner2": "<string>",
          "banner3": "<string>",
          "banner4": "<string>",
          "banner5": "<string>",
          "subaccount": "<string>",
          "logoUrl": "<string>",
          "couponTags": "<string>",
          "expiryDate": "<string>",
          "promotion": {
            "value": 123,
            "promotionType": 1
          },
          "isSelected": true
        }
      }
    ],
    "loyaltyProgram": {
      "membership": {
        "cardType": "General",
        "tierType": "Metal",
        "discount": 123,
        "cardImageUrl": "<string>"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.clearline.me/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Enter JWT Bearer token only in the text input below.

Path Parameters

posSystemId
string
required

Body

Represent search loyalty card and user details

cardId
string | null

Loyalty card id

search
string | null

Search keyword

Response

Success

data
object

User LoyaltyCard details